> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get area info

> Retrieve order area info via the Junction API. Requires authentication with your team API key.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
       --url '{{BASE_URL}}/v3/order/area/info?zip_code=85004' \
       --header 'accept: application/json' \
       --header 'x-vital-api-key: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  from junction import Junction
  from junction.environment import JunctionEnvironment

  client = Junction(
      api_key="YOUR_API_KEY",
      environment=JunctionEnvironment.SANDBOX,
  )

  data = client.lab_tests.get_area_info(zip_code="85004")
  ```

  ```typescript TypeScript theme={null}
  import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";

  const client = new JunctionClient({
      apiKey: "YOUR_API_KEY",
      environment: JunctionEnvironment.Sandbox,
  });

  const data = await client.labTests.getAreaInfo({ zipCode: "85004" });
  ```

  ```java Java theme={null}
  import com.junction.api.Junction;
  import com.junction.api.core.Environment;
  import com.junction.api.resources.labtests.requests.GetAreaInfoLabTestsRequest;

  Junction client = Junction.builder()
      .apiKey("YOUR_API_KEY")
      .environment(Environment.SANDBOX)
      .build();

  var data = client.labTests().getAreaInfo(
      GetAreaInfoLabTestsRequest.builder()
          .zipCode("85004")
          .build()
  );
  ```

  ```go Go theme={null}
  import (
      "context"

      junction "github.com/junction-api/junction-go"
      "github.com/junction-api/junction-go/client"
      "github.com/junction-api/junction-go/option"
  )

  c := client.NewClient(
      option.WithApiKey("YOUR_API_KEY"),
      option.WithBaseURL(junction.Environments.Sandbox),
  )

  response, err := c.LabTests.GetAreaInfo(context.TODO(), &junction.GetAreaInfoLabTestsRequest{
      ZipCode: "85004",
  })
  if err != nil {
      return err
  }
  fmt.Printf("Received data %s\n", response)
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "zip_code": "85004",
    "phlebotomy": {
      "is_served": true,
      "providers": [
          {
            "name": "getlabs",
            "tier": ["appointment-ready"]
          },
          {
            "name": "phlebfinders",
            "tier": ["appointment-request"]
          }
      ]
    },
    "central_labs": {
      "labcorp": {
        "patient_service_centers": {
          "within_radius": 5,
          "radius": "25",
          "capabilities": ["stat"]
        }
      }
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/order/area/info
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.483
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/order/area/info:
    get:
      tags:
        - order
      summary: Get Area Info
      description: |-
        GET information about an area with respect to lab-testing.

        Information returned:
        * Whether a given zip code is served by our Phlebotomy network.
        * List of Lab locations in the area.
      operationId: get_area_info_v3_order_area_info_get
      parameters:
        - name: zip_code
          in: query
          required: true
          schema:
            type: string
            pattern: ^\d{5}$
            description: Zip code of the area to check
            title: Zip Code
          description: Zip code of the area to check
        - name: radius
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/AllowedRadius'
            description: Radius in which to search in miles
            default: '25'
          description: Radius in which to search in miles
        - name: lab
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ClientFacingLabs'
              - type: 'null'
            description: Lab to check for PSCs
            deprecated: true
            title: Lab
          description: Lab to check for PSCs
          deprecated: true
        - name: labs
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/ClientFacingLabs'
              - type: 'null'
            description: List of labs to check for PSCs
            title: Labs
          description: List of labs to check for PSCs
        - name: lab_account_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Lab Account ID to use for availability checks
            title: Lab Account Id
          description: Lab Account ID to use for availability checks
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AreaInfo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AllowedRadius:
      type: string
      enum:
        - '10'
        - '20'
        - '25'
        - '50'
        - '100'
      title: AllowedRadius
      description: ℹ️ This enum is non-exhaustive.
    ClientFacingLabs:
      type: string
      enum:
        - quest
        - labcorp
        - bioreference
        - sonora_quest
      title: ClientFacingLabs
      description: ℹ️ This enum is non-exhaustive.
    AreaInfo:
      properties:
        zip_code:
          type: string
          pattern: ^\d{5}(-\d{4})?$
          title: Zip Code
        phlebotomy:
          $ref: '#/components/schemas/PhlebotomyAreaInfo'
        central_labs:
          additionalProperties:
            $ref: '#/components/schemas/PSCAreaInfo'
          propertyNames:
            $ref: '#/components/schemas/ClientFacingLabs'
          type: object
          title: Central Labs
      type: object
      required:
        - zip_code
        - phlebotomy
        - central_labs
      title: AreaInfo
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    PhlebotomyAreaInfo:
      properties:
        is_served:
          type: boolean
          title: Is Served
        providers:
          items:
            $ref: '#/components/schemas/PhlebotomyProviderInfo'
          type: array
          title: Providers
      type: object
      required:
        - is_served
        - providers
      title: PhlebotomyAreaInfo
    PSCAreaInfo:
      properties:
        patient_service_centers:
          $ref: '#/components/schemas/PSCAreaInfoDetails'
        supported_bill_types:
          items:
            $ref: '#/components/schemas/Billing'
          type: array
          title: Supported Bill Types
        lab_id:
          type: integer
          title: Lab Id
      type: object
      required:
        - patient_service_centers
        - supported_bill_types
        - lab_id
      title: PSCAreaInfo
    PhlebotomyProviderInfo:
      properties:
        name:
          $ref: '#/components/schemas/AppointmentProvider'
          description: ℹ️ This enum is non-exhaustive.
        service_types:
          items:
            $ref: '#/components/schemas/AppointmentServiceType'
          type: array
          title: Service Types
      type: object
      required:
        - name
        - service_types
      title: PhlebotomyProviderInfo
    PSCAreaInfoDetails:
      properties:
        appointment_with_vital:
          type: boolean
          title: Appointment With Vital
        within_radius:
          type: integer
          title: Within Radius
        radius:
          type: string
          title: Radius
        capabilities:
          items:
            $ref: '#/components/schemas/LabLocationCapability'
          type: array
          title: Capabilities
      type: object
      required:
        - appointment_with_vital
        - within_radius
        - radius
      title: PSCAreaInfoDetails
    Billing:
      type: string
      enum:
        - client_bill
        - commercial_insurance
        - patient_bill_passthrough
        - patient_bill
      title: Billing
      description: ℹ️ This enum is non-exhaustive.
    AppointmentProvider:
      type: string
      enum:
        - getlabs
        - phlebfinders
        - quest
        - sonora_quest
      title: AppointmentProvider
      description: ℹ️ This enum is non-exhaustive.
    AppointmentServiceType:
      type: string
      enum:
        - appointment-ready
        - appointment-request
      title: AppointmentServiceType
      description: ℹ️ This enum is non-exhaustive.
    LabLocationCapability:
      type: string
      enum:
        - stat
        - appointment_scheduling_via_junction
        - appointment_scheduling_with_lab
      title: LabLocationCapability
      description: ℹ️ This enum is non-exhaustive.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````